$0.01 / 1k products
Extract product data — prices, variants, images, descriptions — from any Shopify-powered store URL
Endpoint
POST /api/v1/agents/shopify/products/run
Parameters
array
required
List · Shopify store URLs (crawls all products) or individual product URLs. One per line.
integer
default:50
Number · Number of products to scrape. Use 0 for all.
Response columns
| Field | Display name | Type |
|---|---|---|
storeUrl | Store URL | url |
productUrl | Product URL | url |
title | Title | text |
brand | Brand | text |
categories | Categories | text |
description | Description | text |
tags | Tags | text |
mediasType | Medias Type | text |
mediasUrl | Medias URL | url |
optionsType | Options Type | text |
optionsValuesId | Options Values ID | text |
optionsValuesName | Options Values Name | text |
sourceCreatedUtc | Source Created Utc | integer |
sourceCurrency | Source Currency | text |
sourceLanguage | Source Language | text |
sourcePublishedUtc | Source Published Utc | integer |
sourceRetailer | Source Retailer | text |
sourceUpdatedUtc | Source Updated Utc | integer |
variantsId | Variants ID | text |
variantsOptions | Variants Options | text |
variantsPriceCurrent | Variants Price Current | integer |
variantsPricePrevious | Variants Price Previous | integer |
variantsPriceStockStatus | Variants Price Stock Status | text |
variantsSku | Variants SKU | text |
variantsTitle | Variants Title | text |
Example
curl -X POST https://api.mindcase.co/api/v1/agents/shopify/products/run \
-H "Authorization: Bearer mk_live_abc123def456" \
-H "Content-Type: application/json" \
-d '{
"params": {
"urls": [
"<your-input>"
],
"maxResults": 50
}
}'
import requests
resp = requests.post(
"https://api.mindcase.co/api/v1/agents/shopify/products/run",
headers={"Authorization": "Bearer mk_live_abc123def456"},
json={"params": {
"urls": [
"<your-input>"
],
"maxResults": 50
}},
)
data = resp.json()
Example response
Response
{
"job_id": "job_7f3a2b1c",
"status": "completed",
"data": [
{
"storeUrl": "https://undefeated.com/products/nike-x-renegade-vaporfly-4-brwnbasalt-hypercrimson",
"productUrl": "https://undefeated.com/products/nike-x-renegade-vaporfly-4-brwnbasalt-hypercrimson",
"title": "NIKE X RENEGADE VAPORFLY 4 - BRWNBASALT/ HYPERCRIMSON",
"brand": "NIKE",
"categories": [
"Mens Footwear"
],
"description": "Final Sale. No refunds, exchanges or cancellations",
"tags": [
"26.Q2.QS",
"finalsale",
"launch",
"mens-footwear",
"nike",
"PGFW",
"size-9-5"
],
"mediasType": null,
"mediasUrl": null,
"optionsType": null,
"optionsValuesId": null,
"optionsValuesName": null,
"sourceCreatedUtc": 1775236152000,
"sourceCurrency": "USD",
"sourceLanguage": "en",
"sourcePublishedUtc": 1775311206000,
"sourceRetailer": "NIKE",
"sourceUpdatedUtc": 1775550172000,
"variantsId": null,
"variantsOptions": null,
"variantsPriceCurrent": null,
"variantsPricePrevious": null,
"variantsPriceStockStatus": null,
"variantsSku": null,
"variantsTitle": null
}
]
}